=== bindings/CMakeLists.txt ===
--- 
+++ 
@@ -9,7 +9,7 @@
     INCLUDE_DIRECTORIES(${PYTHON_INCLUDE_PATH})
 
     SWIG_ADD_MODULE(ftdi python ftdi.i)
-    SWIG_LINK_LIBRARIES(ftdi ${PYTHON_LIBRARIES})
+    SWIG_LINK_LIBRARIES(ftdi ${PYTHON_LIBRARIES} ftdi)
 
     GET_FILENAME_COMPONENT(PYTHON_LIB_INSTALL ${PYTHON_LIBRARY} PATH)
     GET_FILENAME_COMPONENT(SITEPACKAGE ${PYTHON_LIB_INSTALL}/../site-packages ABSOLUTE)
