=== debian/changelog ===
libftdi (0.19-3) unstable; urgency=medium

  * Install ftdi.py (closes: #631958). 
  * Switch to dh_python2:
    - Build-depends on python-all-dev (>= 2.6.6-3~).
    - Drop build-depends on python-support.
    - Call dh_python2 instead of dh_pysupport.
    - Replace debian/pyversion by X-Python-Version.

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 28 Jun 2011 19:50:49 +0200

libftdi (0.19-2) unstable; urgency=low

  * Drop .la files from libftdipp-dev. 
  * Add build-indep and build-arch targets to make lintian happy. 

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 21 Jun 2011 00:25:52 +0200

libftdi (0.19-1) unstable; urgency=low

  * New upstream version.
    - Add support for writing FT232R eeproms.
  * Bumped Standards-Version to 3.9.2 (no changes).
  * Switched to 3.0 (quilt) format.
  * Convert to multiarch:
    - Bump debhelper build-dep to >= 8.1.3 for multiarch.
    - Add Pre-Depends: ${misc:Pre-Depends} to libftdi1 and libftdipp1
    and set them Multi-Arch: same.
    - Install the libraries in the multiarch path.
  * Dropped .la files from -dev packages are they are not used by any
    depending package.

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 13 Jun 2011 18:12:48 +0200

libftdi (0.18-1) unstable; urgency=low

  * New upstream version. 
  * Bumped Standards-Version to 3.9.0 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 11 Jul 2010 13:11:12 +0200

libftdi (0.17-1) unstable; urgency=low

  * New upstream version. 
  * Bumped Standards-Version to 3.8.3 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 05 Jan 2010 15:56:24 +0100

libftdi (0.16-2) unstable; urgency=low

  * Add a python-ftdi package.

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 23 May 2009 10:36:17 +0200

libftdi (0.16-1) unstable; urgency=low

  * New upstream version.
  * Bumped Standards-Version to 3.8.1 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 11 May 2009 12:27:55 +0200

libftdi (0.15-2) unstable; urgency=low

  * Upload to unstable. 

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 21 Feb 2009 10:48:55 +0100

libftdi (0.15-1) experimental; urgency=low

  * New upstream version.
  * Add libftdipp1 and libftdipp-dev packages (C++ version of the library).
  * Update the project homepage.

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 07 Feb 2009 17:24:27 +0100

libftdi (0.14-1) experimental; urgency=low

  * New upstream version (closes: bug#504843).

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 09 Nov 2008 14:23:53 +0100

libftdi (0.13-2) unstable; urgency=low

  * Only enable --with-async-mode on GNU/Linux systems. 

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 06 Aug 2008 20:12:43 +0200

libftdi (0.13-1) unstable; urgency=low

  * New upstream version. 
  * Bumped Standards-Version to 3.8.0 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 06 Aug 2008 16:25:19 +0200

libftdi (0.12-1) unstable; urgency=low

  * New upstream version (closes: bug#480446).
  * Manage patches with quilt.
  * Enable async mode on linux (closes: bug#480448).

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 10 May 2008 14:47:56 +0200

libftdi (0.11-1) unstable; urgency=low

  * New upstream version. 
  * Bumped Standards-Version to 3.7.3 (no changes).
  * Update link to LGPL text in debian/copyright.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 02 Mar 2008 18:39:55 +0100

libftdi (0.10-2) unstable; urgency=low

  * Build doxygen documentation (closes: bug#444077). 

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 11 Dec 2007 15:35:47 +0100

libftdi (0.10-1) unstable; urgency=low

  * New upstream version. 

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 13 May 2007 13:15:46 +0200

libftdi (0.9-2) unstable; urgency=low

  * Make the package binNMU safe. 

 -- Aurelien Jarno <aurel32@debian.org>  Mon,  5 Mar 2007 21:38:00 +0100

libftdi (0.9-1) unstable; urgency=low

  * New upstream version.
  * Bumped Standards-Version to 3.7.2 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Fri,  2 Mar 2007 20:29:05 +0100

libftdi (0.7-3) unstable; urgency=low

  * libusb has an epoch number, so build-depends on libusb-dev (>= 2:0.1.11)
    instead of libusb-dev (>= 0.1.11).

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 22 Jan 2006 22:40:23 +0100

libftdi (0.7-2) unstable; urgency=low

  * Fixed upstream URL (closes: bug#341098).
  * Build-depends on libusb-dev (>= 0.1.11) and use pkgconfig instead of
    libusb-config.
  * libftdi.pc: moved libusb from Requires: to Requires.private:

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 28 Nov 2005 21:42:53 +0100

libftdi (0.7-1) unstable; urgency=low

  * New upstream version.
  * Bumped Standards-Version to 3.6.2 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 21 Oct 2005 11:47:11 +0200

libftdi (0.6-1) unstable; urgency=low

  * New upstream version. 

 -- Aurelien Jarno <aurel32@debian.org>  Mon,  2 May 2005 08:22:27 +0200

libftdi (0.5-2) unstable; urgency=low

  * Run libtoolize, aclocal, autoheader, automake and autoconf before 
    configure so that libraries would be correctly detected as pass_all 
    on GNU/kFreeBSD.

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 19 Mar 2005 01:13:29 +0100

libftdi (0.5-1) unstable; urgency=low

  * New upstream version.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 26 Sep 2004 21:47:40 +0200

libftdi (0.4-1) unstable; urgency=low

  * New upstream version.
  * Bumped Standards-Version to 3.6.1 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 26 Jun 2004 16:26:04 +0200

libftdi (0.3-1) unstable; urgency=low

  * Initial Release (closes: bug#241022).

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 30 Mar 2004 13:45:36 +0200
