=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Includes
-include_directories( ${CMAKE_CURRENT_BINARY_DIR}
+include_directories(BEFORE ${CMAKE_CURRENT_BINARY_DIR}
                      ${CMAKE_CURRENT_SOURCE_DIR}
                      )
 
@@ -27,17 +27,17 @@
 if(${UNIX})
 
    install( TARGETS ftdi
-            LIBRARY DESTINATION lib
+            LIBRARY DESTINATION lib${LIB_SUFFIX}
             COMPONENT sharedlibs
             )
 
    install( TARGETS ftdi-static
-            ARCHIVE DESTINATION lib
+            ARCHIVE DESTINATION lib${LIB_SUFFIX}
             COMPONENT staticlibs
             )
 
    install( FILES ${c_headers}
-            DESTINATION include/${PROJECT_NAME}
+            DESTINATION include
             COMPONENT headers
             )
 
@@ -56,7 +56,7 @@
             )
 
    install( FILES ${c_headers}
-            DESTINATION include/${PROJECT_NAME}
+            DESTINATION include
             COMPONENT headers
             )
