=== debian/changelog ===
libftdi (0.20-3ubuntu1) wily; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - retain Conflicts/Replaces against previous package names for ABI
      transition.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 12 Aug 2015 14:24:34 -0700

libftdi (0.20-3) unstable; urgency=medium

  * Rename libftdipp1 into libftdipp1v5 for the GCC 5 ABI transition.
  * Build-depends on g++ (>= 4:5.2) and boost (>= 1.58).
  * Force C++ standard to c++11 to prepare for the GCC 6 transition.
  * Bumped Standards-Version to 3.9.6 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 03 Aug 2015 22:03:11 +0200

libftdi (0.20-2ubuntu1) wily; urgency=medium

  * Rename library packages for g++5 ABI transition.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 04 Aug 2015 05:38:38 +0000

libftdi (0.20-2build2) wily; urgency=medium

  * No-change rebuild for python3.5 transition

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 24 Jul 2015 20:25:13 +0000

libftdi (0.20-2build1) wily; urgency=medium

  * No-change rebuild for python3.5 transition

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 24 Jul 2015 18:39:42 +0000

libftdi (0.20-2) unstable; urgency=medium

  * Use dh-autoreconf (closes: #748765). 

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 17 Aug 2014 22:30:02 +0200

libftdi (0.20-1) unstable; urgency=low

  * New upstream version.
  * Bumped Standards-Version to 3.9.3 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 03 Apr 2012 22:46:49 +0200

libftdi (0.19-4) unstable; urgency=low

  * Add a dependency from libftdipp-dev to libftdipp1. 

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 18 Dec 2011 17:47:53 +0100
