=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: libftdi
 Section: libs
 Priority: optional
-Maintainer: Aurelien Jarno <aurel32@debian.org>
-Build-Depends: debhelper (>= 8.1.3), libusb-dev (>= 2:0.1.11), pkg-config (>= 0.18), doxygen, libboost-dev, swig, python-all-dev (>= 2.2.6.6-3~)
-Standards-Version: 3.9.2
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Aurelien Jarno <aurel32@debian.org>
+Build-Depends: debhelper (>= 8.1.3), libusb-dev (>= 2:0.1.11), pkg-config (>= 0.18), doxygen, libboost-dev (>= 1.58), swig, python-all-dev (>= 2.2.6.6-3~), dh-autoreconf, g++ (>= 4:5.2)
+Standards-Version: 3.9.6
 Homepage: http://www.intra2net.com/en/developer/libftdi/
 X-Python-Version: >= 2.4
 
@@ -43,12 +44,14 @@
  in /usr/lib/debug and can be used by placing that directory in
  LD_LIBRARY_PATH.
 
-Package: libftdipp1
+Package: libftdipp1v5
 Section: libs
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Conflicts: libftdipp1
+Replaces: libftdipp1
 Description: Library to control and program the FTDI USB controller
  This library could talk to FTDI's FT232 and FT245 type USB chips from 
  userspace. It uses libusb to communicate with the chips.
@@ -61,18 +64,20 @@
 Package: libftdipp-dev
 Section: libdevel
 Architecture: any
-Depends: libftdi-dev (= ${binary:Version}), libboost-dev (>= 1.33), ${misc:Depends}
+Depends: libftdipp1v5 (= ${binary:Version}), libftdi-dev (= ${binary:Version}), libboost-dev (>= 1.58), ${misc:Depends}
 Description: Development files for libftdipp
  This package contains the header files and static library needed to
  compile applications that use libftdipp.
 
-Package: libftdipp1-dbg
+Package: libftdipp1v5-dbg
 Section: debug
 Priority: extra
 Architecture: any
 Multi-Arch: same
-Depends: libftdipp1 (= ${binary:Version}), ${misc:Depends}
-Description: Debugging symbols for libftdipp1
+Depends: libftdipp1v5 (= ${binary:Version}), ${misc:Depends}
+Conflicts: libftdipp1-dbg
+Replaces: libftdipp1-dbg
+Description: Debugging symbols for libftdipp1v5
  This package contains unstripped shared libraries. it is provided
  primarily to provide a backtrace with names in a debugger, this makes
  it somewhat easier to interpret core dumps. The libraries are installed
