=== debian/rules ===
--- 
+++ 
@@ -15,6 +15,8 @@
 
 CFLAGS = -Wall
 CFLAGS += $(shell dpkg-buildflags --get CFLAGS)
+CXXFLAGS = -Wall -std=c++11
+CXXFLAGS += $(shell dpkg-buildflags --get CFXLAGS)
 
 ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
 	INSTALL_PROGRAM += -s
@@ -36,9 +38,10 @@
 
 build-arch-stamp-main:
 	dh_testdir
+	dh_autoreconf
 	mkdir $(CURDIR)/build-main
 	cd $(CURDIR)/build-main && \
-		CFLAGS="$(CFLAGS)" ../configure $(confflags) \
+		CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" ../configure $(confflags) \
 			--host=$(DEB_HOST_GNU_TYPE) \
 			--build=$(DEB_BUILD_GNU_TYPE) \
 			--prefix=/usr \
@@ -55,7 +58,7 @@
 	dh_testdir
 	mkdir $(CURDIR)/build-python$*
 	cd $(CURDIR)/build-python$* && \
-		CFLAGS="$(CFLAGS)" PYTHON="python$*" ../configure $(confflags) \
+		CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" PYTHON="python$*" ../configure $(confflags) \
 			--host=$(DEB_HOST_GNU_TYPE) \
 			--build=$(DEB_BUILD_GNU_TYPE) \
 			--prefix=/usr \
@@ -99,6 +102,7 @@
 clean:
 	dh_testdir
 	dh_testroot
+	dh_autoreconf_clean
 	rm -rf build-main build-python*
 	rm -f *-stamp*
 	dh_clean 
@@ -117,7 +121,7 @@
 	dh_installman
 	dh_link
 	dh_strip -plibftdi1 --dbg-package=libftdi1-dbg
-	dh_strip -plibftdipp1 --dbg-package=libftdipp1-dbg
+	dh_strip -plibftdipp1v5 --dbg-package=libftdipp1v5-dbg
 	dh_strip --remaining-packages
 	dh_compress
 	dh_fixperms
